curl --request POST \
--url https://api.mervii.com/beta/parcel/logistics/centre-centre \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destinations": [
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"centre_code": "lagos-ojodu-berger",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 0.5,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"state_code": "LA"
}
],
"pickup_origin": {
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"centre_code": "",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"pickup_date": "",
"pickup_note": "",
"pickup_time": "",
"state_code": "LA",
"vehicle": ""
}
}
'import requests
url = "https://api.mervii.com/beta/parcel/logistics/centre-centre"
payload = {
"destinations": [
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"centre_code": "lagos-ojodu-berger",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 0.5,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"state_code": "LA"
}
],
"pickup_origin": {
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"centre_code": "",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"pickup_date": "",
"pickup_note": "",
"pickup_time": "",
"state_code": "LA",
"vehicle": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destinations: [
{
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
centre_code: 'lagos-ojodu-berger',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
delivery_note: '',
item_weight: 0.5,
items: [{height: '', length: '', name: 'Book', width: ''}],
state_code: 'LA'
}
],
pickup_origin: {
address: 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
centre_code: '',
city: 'Lagos',
contacts: {
email: 'abdul@gmail.com',
name: 'Olakunle Olayemi',
phone_number: '09020500177',
phone_number_2: ''
},
country_code: 'NG',
pickup_date: '',
pickup_note: '',
pickup_time: '',
state_code: 'LA',
vehicle: ''
}
})
};
fetch('https://api.mervii.com/beta/parcel/logistics/centre-centre', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/parcel/logistics/centre-centre",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinations' => [
[
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'centre_code' => 'lagos-ojodu-berger',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'delivery_note' => '',
'item_weight' => 0.5,
'items' => [
[
'height' => '',
'length' => '',
'name' => 'Book',
'width' => ''
]
],
'state_code' => 'LA'
]
],
'pickup_origin' => [
'address' => 'Ikolaba Rd, Ibadan 200285, Oyo, Nigeria',
'centre_code' => '',
'city' => 'Lagos',
'contacts' => [
'email' => 'abdul@gmail.com',
'name' => 'Olakunle Olayemi',
'phone_number' => '09020500177',
'phone_number_2' => ''
],
'country_code' => 'NG',
'pickup_date' => '',
'pickup_note' => '',
'pickup_time' => '',
'state_code' => 'LA',
'vehicle' => ''
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mervii.com/beta/parcel/logistics/centre-centre"
payload := strings.NewReader("{\n \"destinations\": [\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"centre_code\": \"lagos-ojodu-berger\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 0.5,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"centre_code\": \"\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"pickup_date\": \"\",\n \"pickup_note\": \"\",\n \"pickup_time\": \"\",\n \"state_code\": \"LA\",\n \"vehicle\": \"\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mervii.com/beta/parcel/logistics/centre-centre")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinations\": [\n {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"centre_code\": \"lagos-ojodu-berger\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"delivery_note\": \"\",\n \"item_weight\": 0.5,\n \"items\": [\n {\n \"height\": \"\",\n \"length\": \"\",\n \"name\": \"Book\",\n \"width\": \"\"\n }\n ],\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"address\": \"Ikolaba Rd, Ibadan 200285, Oyo, Nigeria\",\n \"centre_code\": \"\",\n \"city\": \"Lagos\",\n \"contacts\": {\n \"email\": \"abdul@gmail.com\",\n \"name\": \"Olakunle Olayemi\",\n \"phone_number\": \"09020500177\",\n \"phone_number_2\": \"\"\n },\n \"country_code\": \"NG\",\n \"pickup_date\": \"\",\n \"pickup_note\": \"\",\n \"pickup_time\": \"\",\n \"state_code\": \"LA\",\n \"vehicle\": \"\"\n }\n}")
.asString();{
"data": {
"discount_description": "0% discount",
"discount_type": "Percetage",
"status": "Pending",
"total_amount": 3000.67,
"total_amount_payable": 3000.67,
"total_discount_amount": 0,
"tracking_number": "202410082800065"
},
"message": "Parcel is successful",
"status": true
}{
"message": "The pickup origin.centre code field is required.",
"status": false
}Centre-Centre
FlexFlow Centre to Centre
This endpoint allows you to create a new FlexFlow request for parcel delivery from one centre to another centre.
Request Body
-
pickup_origin: Details of the pickup origin including the centre code, state code, country code, city, address, contacts, pickup note, pickup date, pickup time, and vehicle. -
destinations: An array of destination details including centre code, state code, country code, city, address, contacts, delivery note, items, and item weight.
Response
In case of a successful request, the response will include:
-
tracking_number: The unique tracking number for the parcel. -
status: The status of the delivery. -
total_amount: The total amount for the delivery. -
total_discount_amount: The total discount amount, if any. -
total_amount_payable: The total amount payable. -
discount_type: The type of discount applied. -
discount_description: Description of the discount.
In case of an error, the response will include the status code and a brief error message.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
[
{
"address": "Ikolaba Rd, Ibadan 200285, Oyo, Nigeria",
"centre_code": "lagos-ojodu-berger",
"city": "Lagos",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": ""
},
"country_code": "NG",
"delivery_note": "",
"item_weight": 0.5,
"items": [
{
"height": "",
"length": "",
"name": "Book",
"width": ""
}
],
"state_code": "LA"
}
]
Show child attributes
Show child attributes
Was this page helpful?
